package com.bonus.canteen.core.device.android.common.dto;

import com.bonus.canteen.core.device.manage.model.DeviceInfo;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

public class MenuSendDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull Long recipeId;
   @ApiModelProperty("需要下发的设备")
   private @NotNull List<DeviceInfo> deviceInfoList;

   public MenuSendDTO(Long recipeId, List<DeviceInfo> deviceInfoList) {
      this.recipeId = recipeId;
      this.deviceInfoList = deviceInfoList;
   }

   public MenuSendDTO() {
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public List<DeviceInfo> getDeviceInfoList() {
      return this.deviceInfoList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setDeviceInfoList(final List<DeviceInfo> deviceInfoList) {
      this.deviceInfoList = deviceInfoList;
   }

}
